<?php
/**
 * @file
 * opentastings_news.panels_default.inc
 */

/**
 * Implements hook_default_panels_mini().
 */
function opentastings_news_default_panels_mini() {
  $export = array();

  $mini = new stdClass();
  $mini->disabled = FALSE; /* Edit this to true to make a default mini disabled initially */
  $mini->api_version = 1;
  $mini->name = 'news_right';
  $mini->category = 'news';
  $mini->admin_title = 'news right';
  $mini->admin_description = '';
  $mini->requiredcontexts = array();
  $mini->contexts = array();
  $mini->relationships = array();
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = 'd35ad692-8e0f-4008-8f24-8f8101ca7162';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-6c049bc6-06ff-41e4-8d0b-e25c77b4f544';
    $pane->panel = 'center';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'perm',
          'settings' => array(
            'perm' => 'create news content',
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'add new News',
      'title' => '',
      'body' => '<p><a href="/node/add/news">Add a new News</a></p>',
      'format' => 'full',
      'substitute' => TRUE,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-add-news',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '6c049bc6-06ff-41e4-8d0b-e25c77b4f544';
    $display->content['new-6c049bc6-06ff-41e4-8d0b-e25c77b4f544'] = $pane;
    $display->panels['center'][0] = 'new-6c049bc6-06ff-41e4-8d0b-e25c77b4f544';
    $pane = new stdClass();
    $pane->pid = 'new-1d987dbf-b6b6-41b9-9600-aaab22a5807a';
    $pane->panel = 'center';
    $pane->type = 'block';
    $pane->subtype = 'views--exp-news-cp_news_teaser';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'inherit_path' => 1,
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '1d987dbf-b6b6-41b9-9600-aaab22a5807a';
    $display->content['new-1d987dbf-b6b6-41b9-9600-aaab22a5807a'] = $pane;
    $display->panels['center'][1] = 'new-1d987dbf-b6b6-41b9-9600-aaab22a5807a';
    $pane = new stdClass();
    $pane->pid = 'new-85659867-5183-4a06-9599-f29f669e5065';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'news-cp_news_title';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '85659867-5183-4a06-9599-f29f669e5065';
    $display->content['new-85659867-5183-4a06-9599-f29f669e5065'] = $pane;
    $display->panels['center'][2] = 'new-85659867-5183-4a06-9599-f29f669e5065';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-6c049bc6-06ff-41e4-8d0b-e25c77b4f544';
  $mini->display = $display;
  $export['news_right'] = $mini;

  return $export;
}
