<?php
/**
 * @file
 * opentastings_note.pages_default.inc
 */

/**
 * Implements hook_default_page_manager_handlers().
 */
function opentastings_note_default_page_manager_handlers() {
  $export = array();

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'node_edit_panel_context';
  $handler->task = 'node_edit';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'note',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'note' => 'note',
            ),
          ),
          'context' => 'argument_node_edit_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 2,
        ),
        'parent' => 'canvas',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'top',
        ),
        'parent' => 'main',
        'class' => 'top',
      ),
      'top' => array(
        'type' => 'region',
        'title' => 'top',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 3,
        ),
        'parent' => 'main',
        'class' => '',
      ),
      3 => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'children' => array(
          0 => 4,
        ),
        'class' => '',
      ),
      4 => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 7,
          1 => 5,
        ),
        'parent' => '3',
        'class' => '',
      ),
      5 => array(
        'type' => 'column',
        'width' => 50,
        'width_type' => '%',
        'parent' => '4',
        'children' => array(
          0 => 6,
        ),
        'class' => '',
      ),
      6 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'uu',
        ),
        'parent' => '5',
        'class' => '',
      ),
      'uu' => array(
        'type' => 'region',
        'title' => 'uu',
        'width' => 100,
        'width_type' => '%',
        'parent' => '6',
        'class' => '',
      ),
      7 => array(
        'type' => 'column',
        'width' => 50,
        'width_type' => '%',
        'parent' => '4',
        'children' => array(
          0 => 8,
          1 => 9,
          2 => 11,
        ),
        'class' => '',
      ),
      8 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'le',
          1 => 'description',
        ),
        'parent' => '7',
        'class' => 'pane-note-eye',
      ),
      'le' => array(
        'type' => 'region',
        'title' => 'eye',
        'width' => 50,
        'width_type' => '%',
        'parent' => '8',
        'class' => '',
      ),
      9 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'gg',
          1 => 'mounth',
        ),
        'parent' => '7',
        'class' => 'bt',
      ),
      'gg' => array(
        'type' => 'region',
        'title' => 'noze',
        'width' => 50,
        'width_type' => '%',
        'parent' => '9',
        'class' => '',
      ),
      11 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'noze',
        ),
        'parent' => '7',
        'class' => '',
      ),
      'noze' => array(
        'type' => 'region',
        'title' => 'rest',
        'width' => 100,
        'width_type' => '%',
        'parent' => '11',
        'class' => '',
      ),
      'description' => array(
        'type' => 'region',
        'title' => 'description',
        'width' => 50,
        'width_type' => '%',
        'parent' => '8',
        'class' => '',
      ),
      'mounth' => array(
        'type' => 'region',
        'title' => 'mounth',
        'width' => 50,
        'width_type' => '%',
        'parent' => '9',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'right' => NULL,
      'top' => NULL,
      'uu' => NULL,
      'noze' => NULL,
      'le' => NULL,
      'gg' => NULL,
      'noze_' => NULL,
      'description' => NULL,
      'mounth' => NULL,
    ),
    'le' => array(
      'style' => '-1',
    ),
    'gg' => array(
      'style' => '-1',
    ),
    'noze' => array(
      'style' => '-1',
    ),
    'noze_' => array(
      'style' => '-1',
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '9ed7943a-0472-4a5a-8297-1d296d214845';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-42eb8339-2a6f-40a1-93d6-e51516b6b3bb';
    $pane->panel = 'description';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_multiline';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '42eb8339-2a6f-40a1-93d6-e51516b6b3bb';
    $display->content['new-42eb8339-2a6f-40a1-93d6-e51516b6b3bb'] = $pane;
    $display->panels['description'][0] = 'new-42eb8339-2a6f-40a1-93d6-e51516b6b3bb';
    $pane = new stdClass();
    $pane->pid = 'new-d7483fc9-63fc-433f-aee7-2bc50cd26f94';
    $pane->panel = 'gg';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'd7483fc9-63fc-433f-aee7-2bc50cd26f94';
    $display->content['new-d7483fc9-63fc-433f-aee7-2bc50cd26f94'] = $pane;
    $display->panels['gg'][0] = 'new-d7483fc9-63fc-433f-aee7-2bc50cd26f94';
    $pane = new stdClass();
    $pane->pid = 'new-15d2b59c-e632-413e-98bb-3a4e7380a50a';
    $pane->panel = 'le';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'admin_title' => '',
      'title' => '',
      'body' => '<h2 class="pane-title">Eye</h2>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '15d2b59c-e632-413e-98bb-3a4e7380a50a';
    $display->content['new-15d2b59c-e632-413e-98bb-3a4e7380a50a'] = $pane;
    $display->panels['le'][0] = 'new-15d2b59c-e632-413e-98bb-3a4e7380a50a';
    $pane = new stdClass();
    $pane->pid = 'new-75628c25-9075-4224-8f39-7f99931eea43';
    $pane->panel = 'le';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_singleimage';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '75628c25-9075-4224-8f39-7f99931eea43';
    $display->content['new-75628c25-9075-4224-8f39-7f99931eea43'] = $pane;
    $display->panels['le'][1] = 'new-75628c25-9075-4224-8f39-7f99931eea43';
    $pane = new stdClass();
    $pane->pid = 'new-1c15f2b6-635d-4f86-b8ed-ecb48f783e92';
    $pane->panel = 'mounth';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_multi2';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '1c15f2b6-635d-4f86-b8ed-ecb48f783e92';
    $display->content['new-1c15f2b6-635d-4f86-b8ed-ecb48f783e92'] = $pane;
    $display->panels['mounth'][0] = 'new-1c15f2b6-635d-4f86-b8ed-ecb48f783e92';
    $pane = new stdClass();
    $pane->pid = 'new-a190fd7f-e28f-41a6-b6a8-7c741ce1a282';
    $pane->panel = 'noze';
    $pane->type = 'form';
    $pane->subtype = 'form';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'a190fd7f-e28f-41a6-b6a8-7c741ce1a282';
    $display->content['new-a190fd7f-e28f-41a6-b6a8-7c741ce1a282'] = $pane;
    $display->panels['noze'][0] = 'new-a190fd7f-e28f-41a6-b6a8-7c741ce1a282';
    $pane = new stdClass();
    $pane->pid = 'new-502d4f92-2492-42d7-9bec-a567610efd30';
    $pane->panel = 'top';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_wineref';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '502d4f92-2492-42d7-9bec-a567610efd30';
    $display->content['new-502d4f92-2492-42d7-9bec-a567610efd30'] = $pane;
    $display->panels['top'][0] = 'new-502d4f92-2492-42d7-9bec-a567610efd30';
    $pane = new stdClass();
    $pane->pid = 'new-f2b3a797-0594-49a6-8c13-49fec5a2eb1a';
    $pane->panel = 'uu';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_session';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'f2b3a797-0594-49a6-8c13-49fec5a2eb1a';
    $display->content['new-f2b3a797-0594-49a6-8c13-49fec5a2eb1a'] = $pane;
    $display->panels['uu'][0] = 'new-f2b3a797-0594-49a6-8c13-49fec5a2eb1a';
    $pane = new stdClass();
    $pane->pid = 'new-a32c0e3b-6f56-42d4-b182-1b98f51cb1ae';
    $pane->panel = 'uu';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_day';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'a32c0e3b-6f56-42d4-b182-1b98f51cb1ae';
    $display->content['new-a32c0e3b-6f56-42d4-b182-1b98f51cb1ae'] = $pane;
    $display->panels['uu'][1] = 'new-a32c0e3b-6f56-42d4-b182-1b98f51cb1ae';
    $pane = new stdClass();
    $pane->pid = 'new-9e9dbf2e-c680-4fac-a730-f233e1f98a83';
    $pane->panel = 'uu';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_singlenumber';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '9e9dbf2e-c680-4fac-a730-f233e1f98a83';
    $display->content['new-9e9dbf2e-c680-4fac-a730-f233e1f98a83'] = $pane;
    $display->panels['uu'][2] = 'new-9e9dbf2e-c680-4fac-a730-f233e1f98a83';
    $pane = new stdClass();
    $pane->pid = 'new-86b921e0-308e-4be9-be19-cc741a10de43';
    $pane->panel = 'uu';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_food_pairing';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '86b921e0-308e-4be9-be19-cc741a10de43';
    $display->content['new-86b921e0-308e-4be9-be19-cc741a10de43'] = $pane;
    $display->panels['uu'][3] = 'new-86b921e0-308e-4be9-be19-cc741a10de43';
    $pane = new stdClass();
    $pane->pid = 'new-29aaec8b-a3a0-46c2-b5c1-277775869241';
    $pane->panel = 'uu';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:body';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 4;
    $pane->locks = array();
    $pane->uuid = '29aaec8b-a3a0-46c2-b5c1-277775869241';
    $display->content['new-29aaec8b-a3a0-46c2-b5c1-277775869241'] = $pane;
    $display->panels['uu'][4] = 'new-29aaec8b-a3a0-46c2-b5c1-277775869241';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-502d4f92-2492-42d7-9bec-a567610efd30';
  $handler->conf['display'] = $display;
  $export['node_edit_panel_context'] = $handler;

  return $export;
}
