<?php
/**
 * @file
 * opentastings_wine.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function opentastings_wine_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'create wine content'.
  $permissions['create wine content'] = array(
    'name' => 'create wine content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any wine content'.
  $permissions['delete any wine content'] = array(
    'name' => 'delete any wine content',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own wine content'.
  $permissions['delete own wine content'] = array(
    'name' => 'delete own wine content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in grape'.
  $permissions['delete terms in grape'] = array(
    'name' => 'delete terms in grape',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in producer'.
  $permissions['delete terms in producer'] = array(
    'name' => 'delete terms in producer',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in region'.
  $permissions['delete terms in region'] = array(
    'name' => 'delete terms in region',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in vendor'.
  $permissions['delete terms in vendor'] = array(
    'name' => 'delete terms in vendor',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit any wine content'.
  $permissions['edit any wine content'] = array(
    'name' => 'edit any wine content',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own wine content'.
  $permissions['edit own wine content'] = array(
    'name' => 'edit own wine content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit terms in grape'.
  $permissions['edit terms in grape'] = array(
    'name' => 'edit terms in grape',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in producer'.
  $permissions['edit terms in producer'] = array(
    'name' => 'edit terms in producer',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in region'.
  $permissions['edit terms in region'] = array(
    'name' => 'edit terms in region',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in vendor'.
  $permissions['edit terms in vendor'] = array(
    'name' => 'edit terms in vendor',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'flag favorite'.
  $permissions['flag favorite'] = array(
    'name' => 'flag favorite',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'flag',
  );

  // Exported permission: 'unflag favorite'.
  $permissions['unflag favorite'] = array(
    'name' => 'unflag favorite',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'flag',
  );

  return $permissions;
}
