<?php
/**
 * @file
 * opentastings_wine.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function opentastings_wine_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_gleft|taxonomy_term|grape|form';
  $field_group->group_name = 'group_gleft';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'grape';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'left',
    'weight' => '0',
    'children' => array(
      0 => 'field_other_name',
      1 => 'field_singleimage',
      2 => 'field_singlenumber',
      3 => 'field_color',
      4 => 'name',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'left',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rleft field-group-div region-form-zone term-grape-edit',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_gleft|taxonomy_term|grape|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_gright|taxonomy_term|grape|form';
  $field_group->group_name = 'group_gright';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'grape';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'right',
    'weight' => '1',
    'children' => array(
      0 => 'field_description',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'right',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rright field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_gright|taxonomy_term|grape|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_pleft|taxonomy_term|producer|form';
  $field_group->group_name = 'group_pleft';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'producer';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'left',
    'weight' => '0',
    'children' => array(
      0 => 'field_multiline',
      1 => 'name',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'left',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rleftt field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_pleft|taxonomy_term|producer|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_pright|taxonomy_term|producer|form';
  $field_group->group_name = 'group_pright';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'producer';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'right',
    'weight' => '1',
    'children' => array(
      0 => 'description',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'right',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rright field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_pright|taxonomy_term|producer|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_rleft|taxonomy_term|region|form';
  $field_group->group_name = 'group_rleft';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'region';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'left',
    'weight' => '0',
    'children' => array(
      0 => 'field_geolocation',
      1 => 'name',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'left',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rleft field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_rleft|taxonomy_term|region|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_rright|taxonomy_term|region|form';
  $field_group->group_name = 'group_rright';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'region';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'right',
    'weight' => '1',
    'children' => array(
      0 => 'field_singletext',
      1 => 'field_rmaingrapes',
      2 => 'description',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'right',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rright field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_rright|taxonomy_term|region|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_vleft|taxonomy_term|vendor|form';
  $field_group->group_name = 'group_vleft';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'vendor';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'left',
    'weight' => '0',
    'children' => array(
      0 => 'field_link',
      1 => 'name',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'left',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rleft field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_vleft|taxonomy_term|vendor|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_vright|taxonomy_term|vendor|form';
  $field_group->group_name = 'group_vright';
  $field_group->entity_type = 'taxonomy_term';
  $field_group->bundle = 'vendor';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'right',
    'weight' => '1',
    'children' => array(
      0 => 'description',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'right',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-rright field-group-div region-form-zone',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_vright|taxonomy_term|vendor|form'] = $field_group;

  return $export;
}
