<?php
/**
 * @file
 * opentastings_note.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function opentastings_note_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'create note content'.
  $permissions['create note content'] = array(
    'name' => 'create note content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webmaster' => 'webmaster',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any note content'.
  $permissions['delete any note content'] = array(
    'name' => 'delete any note content',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own note content'.
  $permissions['delete own note content'] = array(
    'name' => 'delete own note content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in food'.
  $permissions['delete terms in food'] = array(
    'name' => 'delete terms in food',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit any note content'.
  $permissions['edit any note content'] = array(
    'name' => 'edit any note content',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own note content'.
  $permissions['edit own note content'] = array(
    'name' => 'edit own note content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit terms in food'.
  $permissions['edit terms in food'] = array(
    'name' => 'edit terms in food',
    'roles' => array(
      'webmaster' => 'webmaster',
    ),
    'module' => 'taxonomy',
  );

  return $permissions;
}
