<?php
/**
 * @file
 * opentastings_note.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function opentastings_note_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_gneye|node|note|form';
  $field_group->group_name = 'group_gneye';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'note';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Eye',
    'weight' => '6',
    'children' => array(
      0 => 'field_multiline',
      1 => 'field_singleimage',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-gneye field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_gneye|node|note|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_gnmounth|node|note|form';
  $field_group->group_name = 'group_gnmounth';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'note';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Mouth',
    'weight' => '8',
    'children' => array(
      0 => 'field_multi2',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Mouth',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-gnmounth field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_gnmounth|node|note|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_gnnoze|node|note|form';
  $field_group->group_name = 'group_gnnoze';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'note';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Noze',
    'weight' => '7',
    'children' => array(
      0 => 'field_description',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-gnnoze field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_gnnoze|node|note|form'] = $field_group;

  return $export;
}
