<?php
/**
 * @file
 * opentastings_session.panels_default.inc
 */

/**
 * Implements hook_default_panels_mini().
 */
function opentastings_session_default_panels_mini() {
  $export = array();

  $mini = new stdClass();
  $mini->disabled = FALSE; /* Edit this to true to make a default mini disabled initially */
  $mini->api_version = 1;
  $mini->name = 'next_meeting_participants';
  $mini->category = 'front';
  $mini->admin_title = 'next meeting + participants';
  $mini->admin_description = '';
  $mini->requiredcontexts = array();
  $mini->contexts = array(
    0 => array(
      'identifier' => 'Ctx next meeting',
      'keyword' => 'view',
      'name' => 'view:session-ctx_next_session_nid',
      'id' => 1,
    ),
  );
  $mini->relationships = array(
    0 => array(
      'identifier' => 'Node from view',
      'keyword' => 'next session',
      'name' => 'node_from_view',
      'row' => '1',
      'context' => 'context_view:session-ctx_next_session_nid_1',
      'id' => 1,
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '5805c823-f678-4e64-ab05-0355570c40b1';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-7b5a038f-514a-4684-95be-854848a0918c';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'session-cp_next_meeting';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '7b5a038f-514a-4684-95be-854848a0918c';
    $display->content['new-7b5a038f-514a-4684-95be-854848a0918c'] = $pane;
    $display->panels['center'][0] = 'new-7b5a038f-514a-4684-95be-854848a0918c';
    $pane = new stdClass();
    $pane->pid = 'new-7a40d71f-7dd9-4aa2-94ec-11ddfffaa1fa';
    $pane->panel = 'center';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 1,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'login to subscribe',
      'title' => '',
      'body' => '<p><a href="user/login">login</a> to subscribe</p>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'login-subscribe',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '7a40d71f-7dd9-4aa2-94ec-11ddfffaa1fa';
    $display->content['new-7a40d71f-7dd9-4aa2-94ec-11ddfffaa1fa'] = $pane;
    $display->panels['center'][1] = 'new-7a40d71f-7dd9-4aa2-94ec-11ddfffaa1fa';
    $pane = new stdClass();
    $pane->pid = 'new-f1bfcc3e-f050-40e3-afd6-dc7d5e535735';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'flagged_users-cp_users_participants';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'session' => 'session',
            ),
          ),
          'context' => 'relationship_node_from_view_1',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'context' => array(
        0 => 'relationship_node_from_view_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'f1bfcc3e-f050-40e3-afd6-dc7d5e535735';
    $display->content['new-f1bfcc3e-f050-40e3-afd6-dc7d5e535735'] = $pane;
    $display->panels['center'][2] = 'new-f1bfcc3e-f050-40e3-afd6-dc7d5e535735';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-7b5a038f-514a-4684-95be-854848a0918c';
  $mini->display = $display;
  $export['next_meeting_participants'] = $mini;

  return $export;
}
