<?php
/**
 * @file
 * opentastings_wine.pages_default.inc
 */

/**
 * Implements hook_default_page_manager_handlers().
 */
function opentastings_wine_default_page_manager_handlers() {
  $export = array();

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'node_edit_panel_context_2';
  $handler->task = 'node_edit';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 1;
  $handler->conf = array(
    'title' => 'wine',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'wine' => 'wine',
            ),
          ),
          'context' => 'argument_node_edit_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 1,
        ),
        'parent' => NULL,
      ),
      1 => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'canvas',
        'children' => array(
          0 => 3,
          1 => 6,
        ),
        'class' => '',
      ),
      3 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'left_',
          1 => 'center_',
          2 => 'right',
        ),
        'parent' => '1',
        'class' => 'pane-wine-edit',
      ),
      'center_' => array(
        'type' => 'region',
        'title' => 'center',
        'width' => '34',
        'width_type' => '%',
        'parent' => '3',
        'class' => '',
      ),
      6 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'right_',
        ),
        'parent' => '1',
        'class' => '',
      ),
      'right_' => array(
        'type' => 'region',
        'title' => 'bottom',
        'width' => 100,
        'width_type' => '%',
        'parent' => '6',
        'class' => '',
      ),
      'left_' => array(
        'type' => 'region',
        'title' => 'left',
        'width' => '33',
        'width_type' => '%',
        'parent' => '3',
        'class' => '',
      ),
      'right' => array(
        'type' => 'region',
        'title' => 'right',
        'width' => '33',
        'width_type' => '%',
        'parent' => '3',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'center_' => NULL,
      'right' => NULL,
      'right_' => NULL,
      'left_' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '7f44dcda-dbd9-4bea-87c2-1e4938229dcc';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-2d8a4ab2-c058-494d-9d11-b26bc6d3d38d';
    $pane->panel = 'center_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_singletext';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '2d8a4ab2-c058-494d-9d11-b26bc6d3d38d';
    $display->content['new-2d8a4ab2-c058-494d-9d11-b26bc6d3d38d'] = $pane;
    $display->panels['center_'][0] = 'new-2d8a4ab2-c058-494d-9d11-b26bc6d3d38d';
    $pane = new stdClass();
    $pane->pid = 'new-5bdbf8dd-609f-4624-97ee-cd9ec34b5536';
    $pane->panel = 'center_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_grapes';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '5bdbf8dd-609f-4624-97ee-cd9ec34b5536';
    $display->content['new-5bdbf8dd-609f-4624-97ee-cd9ec34b5536'] = $pane;
    $display->panels['center_'][1] = 'new-5bdbf8dd-609f-4624-97ee-cd9ec34b5536';
    $pane = new stdClass();
    $pane->pid = 'new-d29287fc-9d83-41d7-9a24-59bf7b8fab6e';
    $pane->panel = 'center_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_appelation';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'd29287fc-9d83-41d7-9a24-59bf7b8fab6e';
    $display->content['new-d29287fc-9d83-41d7-9a24-59bf7b8fab6e'] = $pane;
    $display->panels['center_'][2] = 'new-d29287fc-9d83-41d7-9a24-59bf7b8fab6e';
    $pane = new stdClass();
    $pane->pid = 'new-20a811c7-c168-439d-bfb6-c3c36e1d762b';
    $pane->panel = 'center_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_singlenumber';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '20a811c7-c168-439d-bfb6-c3c36e1d762b';
    $display->content['new-20a811c7-c168-439d-bfb6-c3c36e1d762b'] = $pane;
    $display->panels['center_'][3] = 'new-20a811c7-c168-439d-bfb6-c3c36e1d762b';
    $pane = new stdClass();
    $pane->pid = 'new-87ac22c6-6b1d-4198-a815-2483ceb54652';
    $pane->panel = 'center_';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_tthier';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'entityreference_label',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(
        'link' => 0,
      ),
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 4;
    $pane->locks = array();
    $pane->uuid = '87ac22c6-6b1d-4198-a815-2483ceb54652';
    $display->content['new-87ac22c6-6b1d-4198-a815-2483ceb54652'] = $pane;
    $display->panels['center_'][4] = 'new-87ac22c6-6b1d-4198-a815-2483ceb54652';
    $pane = new stdClass();
    $pane->pid = 'new-97a1525e-0804-4855-b956-c27288d1232f';
    $pane->panel = 'center_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 5;
    $pane->locks = array();
    $pane->uuid = '97a1525e-0804-4855-b956-c27288d1232f';
    $display->content['new-97a1525e-0804-4855-b956-c27288d1232f'] = $pane;
    $display->panels['center_'][5] = 'new-97a1525e-0804-4855-b956-c27288d1232f';
    $pane = new stdClass();
    $pane->pid = 'new-35fca707-ccb8-4809-bd69-4d2c07c24231';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_producer';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '35fca707-ccb8-4809-bd69-4d2c07c24231';
    $display->content['new-35fca707-ccb8-4809-bd69-4d2c07c24231'] = $pane;
    $display->panels['left_'][0] = 'new-35fca707-ccb8-4809-bd69-4d2c07c24231';
    $pane = new stdClass();
    $pane->pid = 'new-dab2e4d7-2193-4f4f-94d6-803011ac94c0';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_link';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'dab2e4d7-2193-4f4f-94d6-803011ac94c0';
    $display->content['new-dab2e4d7-2193-4f4f-94d6-803011ac94c0'] = $pane;
    $display->panels['left_'][1] = 'new-dab2e4d7-2193-4f4f-94d6-803011ac94c0';
    $pane = new stdClass();
    $pane->pid = 'new-cd796e5f-e1fe-43c4-be89-8606ceff183a';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_singleimage';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'cd796e5f-e1fe-43c4-be89-8606ceff183a';
    $display->content['new-cd796e5f-e1fe-43c4-be89-8606ceff183a'] = $pane;
    $display->panels['left_'][2] = 'new-cd796e5f-e1fe-43c4-be89-8606ceff183a';
    $pane = new stdClass();
    $pane->pid = 'new-67406928-ee6d-4b2a-87c4-49bdbe833074';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_color';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '67406928-ee6d-4b2a-87c4-49bdbe833074';
    $display->content['new-67406928-ee6d-4b2a-87c4-49bdbe833074'] = $pane;
    $display->panels['left_'][3] = 'new-67406928-ee6d-4b2a-87c4-49bdbe833074';
    $pane = new stdClass();
    $pane->pid = 'new-55af8cef-9901-4b92-b2aa-3dadf036d1dc';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_agriculture';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 4;
    $pane->locks = array();
    $pane->uuid = '55af8cef-9901-4b92-b2aa-3dadf036d1dc';
    $display->content['new-55af8cef-9901-4b92-b2aa-3dadf036d1dc'] = $pane;
    $display->panels['left_'][4] = 'new-55af8cef-9901-4b92-b2aa-3dadf036d1dc';
    $pane = new stdClass();
    $pane->pid = 'new-829874fb-ff48-4bfb-8289-e50d7c58ab35';
    $pane->panel = 'left_';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_single_checkbox';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 5;
    $pane->locks = array();
    $pane->uuid = '829874fb-ff48-4bfb-8289-e50d7c58ab35';
    $display->content['new-829874fb-ff48-4bfb-8289-e50d7c58ab35'] = $pane;
    $display->panels['left_'][5] = 'new-829874fb-ff48-4bfb-8289-e50d7c58ab35';
    $pane = new stdClass();
    $pane->pid = 'new-a05c868c-76e5-41b3-9c61-be8cddd882a0';
    $pane->panel = 'right';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_vintage';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'a05c868c-76e5-41b3-9c61-be8cddd882a0';
    $display->content['new-a05c868c-76e5-41b3-9c61-be8cddd882a0'] = $pane;
    $display->panels['right'][0] = 'new-a05c868c-76e5-41b3-9c61-be8cddd882a0';
    $pane = new stdClass();
    $pane->pid = 'new-3415ad5f-822a-462d-8b7b-fe4eabf8c731';
    $pane->panel = 'right';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_float';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '3415ad5f-822a-462d-8b7b-fe4eabf8c731';
    $display->content['new-3415ad5f-822a-462d-8b7b-fe4eabf8c731'] = $pane;
    $display->panels['right'][1] = 'new-3415ad5f-822a-462d-8b7b-fe4eabf8c731';
    $pane = new stdClass();
    $pane->pid = 'new-eec52523-785a-4f39-8217-4a0e60bbe750';
    $pane->panel = 'right';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_float2';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'eec52523-785a-4f39-8217-4a0e60bbe750';
    $display->content['new-eec52523-785a-4f39-8217-4a0e60bbe750'] = $pane;
    $display->panels['right'][2] = 'new-eec52523-785a-4f39-8217-4a0e60bbe750';
    $pane = new stdClass();
    $pane->pid = 'new-69c70006-4f6c-4e08-b09a-989a09b805b5';
    $pane->panel = 'right';
    $pane->type = 'entity_form_field';
    $pane->subtype = 'node:field_vendor';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => '',
      'formatter' => '',
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '69c70006-4f6c-4e08-b09a-989a09b805b5';
    $display->content['new-69c70006-4f6c-4e08-b09a-989a09b805b5'] = $pane;
    $display->panels['right'][3] = 'new-69c70006-4f6c-4e08-b09a-989a09b805b5';
    $pane = new stdClass();
    $pane->pid = 'new-5263ccbc-dffc-43d9-b6b0-76b41e639bf4';
    $pane->panel = 'right_';
    $pane->type = 'form';
    $pane->subtype = 'form';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_node_edit_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '5263ccbc-dffc-43d9-b6b0-76b41e639bf4';
    $display->content['new-5263ccbc-dffc-43d9-b6b0-76b41e639bf4'] = $pane;
    $display->panels['right_'][0] = 'new-5263ccbc-dffc-43d9-b6b0-76b41e639bf4';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-35fca707-ccb8-4809-bd69-4d2c07c24231';
  $handler->conf['display'] = $display;
  $export['node_edit_panel_context_2'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'node_view_panel_context_2';
  $handler->task = 'node_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 1;
  $handler->conf = array(
    'title' => 'wine',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'wine' => 'wine',
            ),
          ),
          'context' => 'argument_entity_id:node_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 'main-row',
          1 => 1,
          2 => 2,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'l-content',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'Content',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'first_sidebar',
        ),
        'parent' => 'main',
        'class' => 'l-region--sidebar-first',
      ),
      'first_sidebar' => array(
        'type' => 'region',
        'title' => 'First sidebar',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'second_sidebar',
        ),
        'parent' => 'main',
        'class' => 'l-region--sidebar-second',
      ),
      'second_sidebar' => array(
        'type' => 'region',
        'title' => 'Second sidebar',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'right' => NULL,
      'left' => NULL,
      'left_' => NULL,
      'left_middle' => NULL,
      'left_bottom' => NULL,
      'right_' => NULL,
      'left_middle_right' => NULL,
      'center_bottom' => NULL,
      'center_left' => NULL,
      'center_bot_right' => NULL,
      'center_middle' => NULL,
      'left_top' => NULL,
      'region_middle' => NULL,
      'middle' => NULL,
      'content' => NULL,
      'header' => NULL,
      'help' => NULL,
      'sidebar_first' => NULL,
      'sidebar_second' => NULL,
      'footer' => NULL,
      'first_sidebar' => NULL,
      'second_sidebar' => NULL,
    ),
  );
  $display->cache = array(
    'method' => 0,
  );
  $display->title = '';
  $display->uuid = '9d82dbc9-cacb-4892-8d1a-a6598cf838b2';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-fd5f531a-e80e-488e-b892-2fb67e2c0ae6';
    $pane->panel = 'center';
    $pane->type = 'node_links';
    $pane->subtype = 'node_links';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
      'build_mode' => 'full',
      'identifier' => '',
      'link' => 1,
      'context' => 'argument_entity_id:node_1',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'fd5f531a-e80e-488e-b892-2fb67e2c0ae6';
    $display->content['new-fd5f531a-e80e-488e-b892-2fb67e2c0ae6'] = $pane;
    $display->panels['center'][0] = 'new-fd5f531a-e80e-488e-b892-2fb67e2c0ae6';
    $pane = new stdClass();
    $pane->pid = 'new-c1a8bdab-60c4-4a25-993f-ddc9c54af861';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'current_wine-cwine_cp_detail';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'c1a8bdab-60c4-4a25-993f-ddc9c54af861';
    $display->content['new-c1a8bdab-60c4-4a25-993f-ddc9c54af861'] = $pane;
    $display->panels['center'][1] = 'new-c1a8bdab-60c4-4a25-993f-ddc9c54af861';
    $pane = new stdClass();
    $pane->pid = 'new-34b19787-57c4-4352-839d-13800c5aad97';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'notes-cp_notes_related_wine';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '34b19787-57c4-4352-839d-13800c5aad97';
    $display->content['new-34b19787-57c4-4352-839d-13800c5aad97'] = $pane;
    $display->panels['center'][2] = 'new-34b19787-57c4-4352-839d-13800c5aad97';
    $pane = new stdClass();
    $pane->pid = 'new-88da2af7-43e0-4fa6-bede-7dbcf0e18fec';
    $pane->panel = 'first_sidebar';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_grapes';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'taxonomy_proportion_format',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(
        'field_location' => 'after',
      ),
      'context' => 'argument_entity_id:node_1',
      'override_title' => 0,
      'override_title_text' => 'Grapes',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '88da2af7-43e0-4fa6-bede-7dbcf0e18fec';
    $display->content['new-88da2af7-43e0-4fa6-bede-7dbcf0e18fec'] = $pane;
    $display->panels['first_sidebar'][0] = 'new-88da2af7-43e0-4fa6-bede-7dbcf0e18fec';
    $pane = new stdClass();
    $pane->pid = 'new-b347b30c-2aad-4c97-a183-2359065fb272';
    $pane->panel = 'first_sidebar';
    $pane->type = 'wines_related_by_grape';
    $pane->subtype = 'wines_related_by_grape';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => 'related-wines-by-grapes',
      'css_class' => '',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'b347b30c-2aad-4c97-a183-2359065fb272';
    $display->content['new-b347b30c-2aad-4c97-a183-2359065fb272'] = $pane;
    $display->panels['first_sidebar'][1] = 'new-b347b30c-2aad-4c97-a183-2359065fb272';
    $pane = new stdClass();
    $pane->pid = 'new-5ce0f2ef-912e-4c6b-a0b5-f72d07d0b63d';
    $pane->panel = 'second_sidebar';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_appelation';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'hidden',
      'formatter' => 'shs_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(
        'linked' => 1,
      ),
      'context' => 'argument_entity_id:node_1',
      'override_title' => 1,
      'override_title_text' => 'Origin',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '5ce0f2ef-912e-4c6b-a0b5-f72d07d0b63d';
    $display->content['new-5ce0f2ef-912e-4c6b-a0b5-f72d07d0b63d'] = $pane;
    $display->panels['second_sidebar'][0] = 'new-5ce0f2ef-912e-4c6b-a0b5-f72d07d0b63d';
    $pane = new stdClass();
    $pane->pid = 'new-8b9ef1a9-f485-443b-a335-56789b313b92';
    $pane->panel = 'second_sidebar';
    $pane->type = 'views_panes';
    $pane->subtype = 'current_wine-cp_wine_map';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '8b9ef1a9-f485-443b-a335-56789b313b92';
    $display->content['new-8b9ef1a9-f485-443b-a335-56789b313b92'] = $pane;
    $display->panels['second_sidebar'][1] = 'new-8b9ef1a9-f485-443b-a335-56789b313b92';
    $pane = new stdClass();
    $pane->pid = 'new-c7b92ab2-24d0-4b67-bd6d-94251b107cda';
    $pane->panel = 'second_sidebar';
    $pane->type = 'nearest_wines';
    $pane->subtype = 'nearest_wines';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => 'related-wines-by-origin',
      'css_class' => '',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'c7b92ab2-24d0-4b67-bd6d-94251b107cda';
    $display->content['new-c7b92ab2-24d0-4b67-bd6d-94251b107cda'] = $pane;
    $display->panels['second_sidebar'][2] = 'new-c7b92ab2-24d0-4b67-bd6d-94251b107cda';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-5ce0f2ef-912e-4c6b-a0b5-f72d07d0b63d';
  $handler->conf['display'] = $display;
  $export['node_view_panel_context_2'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -27;
  $handler->conf = array(
    'title' => 'grape',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'page-grapes page-detail-grape',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'grape' => 'grape',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 3,
          1 => 1,
          2 => 'main-row',
          3 => 2,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center_right',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-summary',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'top',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-terms-info',
      ),
      'top' => array(
        'type' => 'region',
        'title' => 'terms  info',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      'center_right' => array(
        'type' => 'region',
        'title' => 'summary',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'wines',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-wines',
      ),
      'wines' => array(
        'type' => 'region',
        'title' => 'wines',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => '',
      ),
      3 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'terms_info',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-terms',
      ),
      'terms_info' => array(
        'type' => 'region',
        'title' => 'terms',
        'width' => 100,
        'width_type' => '%',
        'parent' => '3',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'top' => NULL,
      'center_right' => NULL,
      'wines' => NULL,
      'terms_info' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '3232d8b2-a731-4fb5-a659-0d16231a6529';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-49c5f39c-7e94-4e1d-b2ff-a972428dd77f';
    $pane->panel = 'center_right';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_taxo_grapes_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '49c5f39c-7e94-4e1d-b2ff-a972428dd77f';
    $display->content['new-49c5f39c-7e94-4e1d-b2ff-a972428dd77f'] = $pane;
    $display->panels['center_right'][0] = 'new-49c5f39c-7e94-4e1d-b2ff-a972428dd77f';
    $pane = new stdClass();
    $pane->pid = 'new-82729e77-d764-4616-9c97-aa701c7b82b4';
    $pane->panel = 'terms_info';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_singleimage';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'image',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(
        'image_style' => 'grape',
        'image_link' => '',
      ),
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'panel-grape-image',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '82729e77-d764-4616-9c97-aa701c7b82b4';
    $display->content['new-82729e77-d764-4616-9c97-aa701c7b82b4'] = $pane;
    $display->panels['terms_info'][0] = 'new-82729e77-d764-4616-9c97-aa701c7b82b4';
    $pane = new stdClass();
    $pane->pid = 'new-ca7690ee-ddda-4993-8741-0f1d9bb6d858';
    $pane->panel = 'terms_info';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'text_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'ca7690ee-ddda-4993-8741-0f1d9bb6d858';
    $display->content['new-ca7690ee-ddda-4993-8741-0f1d9bb6d858'] = $pane;
    $display->panels['terms_info'][1] = 'new-ca7690ee-ddda-4993-8741-0f1d9bb6d858';
    $pane = new stdClass();
    $pane->pid = 'new-077af699-231f-472e-b5ea-0b77dc819cb3';
    $pane->panel = 'top';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_other_name';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'text_default',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '077af699-231f-472e-b5ea-0b77dc819cb3';
    $display->content['new-077af699-231f-472e-b5ea-0b77dc819cb3'] = $pane;
    $display->panels['top'][0] = 'new-077af699-231f-472e-b5ea-0b77dc819cb3';
    $pane = new stdClass();
    $pane->pid = 'new-f20b3ed1-05a3-4655-905e-f61b57d906db';
    $pane->panel = 'top';
    $pane->type = 'grape_ranking';
    $pane->subtype = 'grape_ranking';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-area',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'f20b3ed1-05a3-4655-905e-f61b57d906db';
    $display->content['new-f20b3ed1-05a3-4655-905e-f61b57d906db'] = $pane;
    $display->panels['top'][1] = 'new-f20b3ed1-05a3-4655-905e-f61b57d906db';
    $pane = new stdClass();
    $pane->pid = 'new-a9cdb423-0507-43e6-b38d-3d5a853e7fbf';
    $pane->panel = 'wines';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_by_grape_mono';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'a9cdb423-0507-43e6-b38d-3d5a853e7fbf';
    $display->content['new-a9cdb423-0507-43e6-b38d-3d5a853e7fbf'] = $pane;
    $display->panels['wines'][0] = 'new-a9cdb423-0507-43e6-b38d-3d5a853e7fbf';
    $pane = new stdClass();
    $pane->pid = 'new-e4ce3618-f40f-49f1-bae4-9ba67e1aa79a';
    $pane->panel = 'wines';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_by_grape_ass';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'e4ce3618-f40f-49f1-bae4-9ba67e1aa79a';
    $display->content['new-e4ce3618-f40f-49f1-bae4-9ba67e1aa79a'] = $pane;
    $display->panels['wines'][1] = 'new-e4ce3618-f40f-49f1-bae4-9ba67e1aa79a';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_2';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -23;
  $handler->conf = array(
    'title' => 'vendor',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'vendor' => 'vendor',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '18953501-7f4c-47fb-b50a-2412161aca58';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $pane->panel = 'center';
    $pane->type = 'term_description';
    $pane->subtype = 'term_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'vendor-description',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $display->content['new-af006db2-9eb1-4602-9672-c2e1a2513ef1'] = $pane;
    $display->panels['center'][0] = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $pane = new stdClass();
    $pane->pid = 'new-000014d5-8550-45b6-b21f-b0ead92f335c';
    $pane->panel = 'center';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_link';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'hidden',
      'formatter' => 'link_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'vendor-link',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '000014d5-8550-45b6-b21f-b0ead92f335c';
    $display->content['new-000014d5-8550-45b6-b21f-b0ead92f335c'] = $pane;
    $display->panels['center'][1] = 'new-000014d5-8550-45b6-b21f-b0ead92f335c';
    $pane = new stdClass();
    $pane->pid = 'new-4ac693b3-f8dd-453d-a0e3-286625778a3a';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_vendors_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'vendor-summary',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '4ac693b3-f8dd-453d-a0e3-286625778a3a';
    $display->content['new-4ac693b3-f8dd-453d-a0e3-286625778a3a'] = $pane;
    $display->panels['center'][2] = 'new-4ac693b3-f8dd-453d-a0e3-286625778a3a';
    $pane = new stdClass();
    $pane->pid = 'new-ba2b182a-8e45-4f13-a2c6-64943d743c85';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'vendor-wines',
    );
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = 'ba2b182a-8e45-4f13-a2c6-64943d743c85';
    $display->content['new-ba2b182a-8e45-4f13-a2c6-64943d743c85'] = $pane;
    $display->panels['center'][3] = 'new-ba2b182a-8e45-4f13-a2c6-64943d743c85';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_2'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_3';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -26;
  $handler->conf = array(
    'title' => 'food',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'page-food-pairing',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'food' => 'food',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '76998fdd-28d2-44da-be48-54cb9adce54c';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-5395116f-6b82-4ba6-924b-7d4b8b21c432';
    $pane->panel = 'center';
    $pane->type = 'term_description';
    $pane->subtype = 'term_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-food-description',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '5395116f-6b82-4ba6-924b-7d4b8b21c432';
    $display->content['new-5395116f-6b82-4ba6-924b-7d4b8b21c432'] = $pane;
    $display->panels['center'][0] = 'new-5395116f-6b82-4ba6-924b-7d4b8b21c432';
    $pane = new stdClass();
    $pane->pid = 'new-46414cfd-c655-4a7c-b2b9-0f8b25300e31';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_taxo_food';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-vocabulary-cp-taxo-food',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '46414cfd-c655-4a7c-b2b9-0f8b25300e31';
    $display->content['new-46414cfd-c655-4a7c-b2b9-0f8b25300e31'] = $pane;
    $display->panels['center'][1] = 'new-46414cfd-c655-4a7c-b2b9-0f8b25300e31';
    $pane = new stdClass();
    $pane->pid = 'new-6cf5dbd4-09a1-4144-a03b-6704535e057d';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_note_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '6cf5dbd4-09a1-4144-a03b-6704535e057d';
    $display->content['new-6cf5dbd4-09a1-4144-a03b-6704535e057d'] = $pane;
    $display->panels['center'][2] = 'new-6cf5dbd4-09a1-4144-a03b-6704535e057d';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_3'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_4';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -25;
  $handler->conf = array(
    'title' => 'aroma',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'aromes' => 'aromes',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '78034328-e5bb-4d5d-8a2f-bd2aa54fc2d2';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-81a24e58-22d0-47c7-930d-f31111441aea';
    $pane->panel = 'center';
    $pane->type = 'term_description';
    $pane->subtype = 'term_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '81a24e58-22d0-47c7-930d-f31111441aea';
    $display->content['new-81a24e58-22d0-47c7-930d-f31111441aea'] = $pane;
    $display->panels['center'][0] = 'new-81a24e58-22d0-47c7-930d-f31111441aea';
    $pane = new stdClass();
    $pane->pid = 'new-57afd39c-48e3-42e2-a958-4749e6dde744';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_aromas';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '57afd39c-48e3-42e2-a958-4749e6dde744';
    $display->content['new-57afd39c-48e3-42e2-a958-4749e6dde744'] = $pane;
    $display->panels['center'][1] = 'new-57afd39c-48e3-42e2-a958-4749e6dde744';
    $pane = new stdClass();
    $pane->pid = 'new-8b05b134-8b66-437d-bd04-920eb798dc97';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_note_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '8b05b134-8b66-437d-bd04-920eb798dc97';
    $display->content['new-8b05b134-8b66-437d-bd04-920eb798dc97'] = $pane;
    $display->panels['center'][2] = 'new-8b05b134-8b66-437d-bd04-920eb798dc97';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-81a24e58-22d0-47c7-930d-f31111441aea';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_4'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_5';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -24;
  $handler->conf = array(
    'title' => 'producer',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'producer' => 'producer',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '18953501-7f4c-47fb-b50a-2412161aca58';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $pane->panel = 'center';
    $pane->type = 'term_description';
    $pane->subtype = 'term_description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'producer-description',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $display->content['new-af006db2-9eb1-4602-9672-c2e1a2513ef1'] = $pane;
    $display->panels['center'][0] = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
    $pane = new stdClass();
    $pane->pid = 'new-12b54b33-8205-425a-8359-e9268580dbcf';
    $pane->panel = 'center';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_multiline';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'text_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'producer-coordinates',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '12b54b33-8205-425a-8359-e9268580dbcf';
    $display->content['new-12b54b33-8205-425a-8359-e9268580dbcf'] = $pane;
    $display->panels['center'][1] = 'new-12b54b33-8205-425a-8359-e9268580dbcf';
    $pane = new stdClass();
    $pane->pid = 'new-2c96841d-1ada-45e9-80be-7477e781c2ee';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_producers_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'producer-summary',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '2c96841d-1ada-45e9-80be-7477e781c2ee';
    $display->content['new-2c96841d-1ada-45e9-80be-7477e781c2ee'] = $pane;
    $display->panels['center'][2] = 'new-2c96841d-1ada-45e9-80be-7477e781c2ee';
    $pane = new stdClass();
    $pane->pid = 'new-ba2b182a-8e45-4f13-a2c6-64943d743c85';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'producer-wines',
    );
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = 'ba2b182a-8e45-4f13-a2c6-64943d743c85';
    $display->content['new-ba2b182a-8e45-4f13-a2c6-64943d743c85'] = $pane;
    $display->panels['center'][3] = 'new-ba2b182a-8e45-4f13-a2c6-64943d743c85';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-af006db2-9eb1-4602-9672-c2e1a2513ef1';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_5'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_6';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -30;
  $handler->conf = array(
    'title' => 'region w/ description',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'section-taxo-region',
    'css_id' => 'pane-region-no-description',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'region' => 'region',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'description_value',
          'settings' => array(
            'description_value' => 'argentina',
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
          2 => 2,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'pane-informations',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'informations',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'map',
        ),
        'parent' => 'main',
        'class' => 'pane-map',
      ),
      'map' => array(
        'type' => 'region',
        'title' => 'map',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'wines',
        ),
        'parent' => 'main',
        'class' => 'pane-wines',
      ),
      'wines' => array(
        'type' => 'region',
        'title' => 'wines',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'map' => NULL,
      'wines' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '878552b9-2b58-4742-bd22-c8c4098d9128';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-c562117a-e139-481b-bbb9-7606cd97555b';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_regions';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'c562117a-e139-481b-bbb9-7606cd97555b';
    $display->content['new-c562117a-e139-481b-bbb9-7606cd97555b'] = $pane;
    $display->panels['center'][0] = 'new-c562117a-e139-481b-bbb9-7606cd97555b';
    $pane = new stdClass();
    $pane->pid = 'new-d1338fde-d58f-49ba-9e24-06197829b4e9';
    $pane->panel = 'center';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_rmaingrapes';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'taxonomy_term_reference_link',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'd1338fde-d58f-49ba-9e24-06197829b4e9';
    $display->content['new-d1338fde-d58f-49ba-9e24-06197829b4e9'] = $pane;
    $display->panels['center'][1] = 'new-d1338fde-d58f-49ba-9e24-06197829b4e9';
    $pane = new stdClass();
    $pane->pid = 'new-d23dfc1c-0782-42f7-8642-fb95de90a922';
    $pane->panel = 'map';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_geolocation';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'no_children',
          'settings' => array(
            'no_children' => '',
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'geofield_openlayers',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(
        'data' => 'full',
        'map_preset' => 'geofield_default_opentasting',
      ),
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'd23dfc1c-0782-42f7-8642-fb95de90a922';
    $display->content['new-d23dfc1c-0782-42f7-8642-fb95de90a922'] = $pane;
    $display->panels['map'][0] = 'new-d23dfc1c-0782-42f7-8642-fb95de90a922';
    $pane = new stdClass();
    $pane->pid = 'new-1821424c-fcfe-4106-9a04-3675d22e66ef';
    $pane->panel = 'map';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_map_region_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '1821424c-fcfe-4106-9a04-3675d22e66ef';
    $display->content['new-1821424c-fcfe-4106-9a04-3675d22e66ef'] = $pane;
    $display->panels['map'][1] = 'new-1821424c-fcfe-4106-9a04-3675d22e66ef';
    $pane = new stdClass();
    $pane->pid = 'new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
    $pane->panel = 'wines';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
    $display->content['new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1'] = $pane;
    $display->panels['wines'][0] = 'new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_6'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'term_view_panel_context_7';
  $handler->task = 'term_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = -29;
  $handler->conf = array(
    'title' => 'region + description',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'section-taxo-region',
    'css_id' => 'pane-region-with-description',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'term_vocabulary',
          'settings' => array(
            'machine_name' => array(
              'region' => 'region',
            ),
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
          2 => 2,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'pane-informations',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'informations',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'map',
        ),
        'parent' => 'main',
        'class' => 'pane-map',
      ),
      'map' => array(
        'type' => 'region',
        'title' => 'map',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'wines',
        ),
        'parent' => 'main',
        'class' => 'pane-wines',
      ),
      'wines' => array(
        'type' => 'region',
        'title' => 'wines',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'map' => NULL,
      'wines' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '878552b9-2b58-4742-bd22-c8c4098d9128';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-c81b7fad-6a62-4194-bcc6-62db94957b0c';
    $pane->panel = 'center';
    $pane->type = 'entity_field_extra';
    $pane->subtype = 'taxonomy_term:description';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'view_mode' => 'full',
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'c81b7fad-6a62-4194-bcc6-62db94957b0c';
    $display->content['new-c81b7fad-6a62-4194-bcc6-62db94957b0c'] = $pane;
    $display->panels['center'][0] = 'new-c81b7fad-6a62-4194-bcc6-62db94957b0c';
    $pane = new stdClass();
    $pane->pid = 'new-d23dfc1c-0782-42f7-8642-fb95de90a922';
    $pane->panel = 'map';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_geolocation';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'no_children',
          'settings' => array(
            'no_children' => '',
          ),
          'context' => 'argument_term_1',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'geofield_openlayers',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(
        'data' => 'full',
        'map_preset' => 'geofield_default_opentasting',
      ),
      'context' => 'argument_term_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'd23dfc1c-0782-42f7-8642-fb95de90a922';
    $display->content['new-d23dfc1c-0782-42f7-8642-fb95de90a922'] = $pane;
    $display->panels['map'][0] = 'new-d23dfc1c-0782-42f7-8642-fb95de90a922';
    $pane = new stdClass();
    $pane->pid = 'new-1821424c-fcfe-4106-9a04-3675d22e66ef';
    $pane->panel = 'map';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_map_region_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '1821424c-fcfe-4106-9a04-3675d22e66ef';
    $display->content['new-1821424c-fcfe-4106-9a04-3675d22e66ef'] = $pane;
    $display->panels['map'][1] = 'new-1821424c-fcfe-4106-9a04-3675d22e66ef';
    $pane = new stdClass();
    $pane->pid = 'new-c562117a-e139-481b-bbb9-7606cd97555b';
    $pane->panel = 'map';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_regions';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'c562117a-e139-481b-bbb9-7606cd97555b';
    $display->content['new-c562117a-e139-481b-bbb9-7606cd97555b'] = $pane;
    $display->panels['map'][2] = 'new-c562117a-e139-481b-bbb9-7606cd97555b';
    $pane = new stdClass();
    $pane->pid = 'new-d1338fde-d58f-49ba-9e24-06197829b4e9';
    $pane->panel = 'map';
    $pane->type = 'entity_field';
    $pane->subtype = 'taxonomy_term:field_rmaingrapes';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'taxonomy_term_reference_link',
      'delta_limit' => '0',
      'delta_offset' => '0',
      'delta_reversed' => 0,
      'formatter_settings' => array(),
      'context' => 'argument_term_1',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = 'd1338fde-d58f-49ba-9e24-06197829b4e9';
    $display->content['new-d1338fde-d58f-49ba-9e24-06197829b4e9'] = $pane;
    $display->panels['map'][3] = 'new-d1338fde-d58f-49ba-9e24-06197829b4e9';
    $pane = new stdClass();
    $pane->pid = 'new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
    $pane->panel = 'wines';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_childeren';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_term_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
    $display->content['new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1'] = $pane;
    $display->panels['wines'][0] = 'new-89b513ef-4b5b-4fdb-b61e-d5b0ea240cd1';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['term_view_panel_context_7'] = $handler;

  return $export;
}

/**
 * Implements hook_default_page_manager_pages().
 */
function opentastings_wine_default_page_manager_pages() {
  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'aromas';
  $page->task = 'page';
  $page->admin_title = 'Aromas';
  $page->admin_description = '';
  $page->path = 'aromas';
  $page->access = array();
  $page->menu = array();
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_aromas_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'aromas';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '37924999-163b-4e71-8c76-e78112252f01';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-2c08626a-4ab3-467f-8f3c-b3f7f8f5dcfc';
    $pane->panel = 'center';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'admin_title' => '',
      'title' => '',
      'body' => '<p>[intro to aromas theory - families]</p>',
      'format' => 'full',
      'substitute' => TRUE,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '2c08626a-4ab3-467f-8f3c-b3f7f8f5dcfc';
    $display->content['new-2c08626a-4ab3-467f-8f3c-b3f7f8f5dcfc'] = $pane;
    $display->panels['center'][0] = 'new-2c08626a-4ab3-467f-8f3c-b3f7f8f5dcfc';
    $pane = new stdClass();
    $pane->pid = 'new-fec3e0ce-f37d-4c1c-9452-e8af6dab207e';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_aromas';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'empty',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'fec3e0ce-f37d-4c1c-9452-e8af6dab207e';
    $display->content['new-fec3e0ce-f37d-4c1c-9452-e8af6dab207e'] = $pane;
    $display->panels['center'][1] = 'new-fec3e0ce-f37d-4c1c-9452-e8af6dab207e';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-2c08626a-4ab3-467f-8f3c-b3f7f8f5dcfc';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['aromas'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'food_pairing';
  $page->task = 'page';
  $page->admin_title = 'food pairing';
  $page->admin_description = '';
  $page->path = 'food-pairing';
  $page->access = array();
  $page->menu = array(
    'type' => 'normal',
    'title' => 'food pairing',
    'name' => 'main-menu',
    'weight' => '0',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_food_pairing_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'food_pairing';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '3af7341d-d739-4b68-8a89-902f264dcbe1';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-91297330-512e-4e13-a826-3b96c9f12c86';
    $pane->panel = 'center';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'admin_title' => '',
      'title' => '',
      'body' => '<p>[introduciton to food paring theory / tips]</p>',
      'format' => 'full',
      'substitute' => TRUE,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-food-description',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '91297330-512e-4e13-a826-3b96c9f12c86';
    $display->content['new-91297330-512e-4e13-a826-3b96c9f12c86'] = $pane;
    $display->panels['center'][0] = 'new-91297330-512e-4e13-a826-3b96c9f12c86';
    $pane = new stdClass();
    $pane->pid = 'new-c92bc097-2e23-41f8-aa05-855278aec68a';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_taxo_food';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'c92bc097-2e23-41f8-aa05-855278aec68a';
    $display->content['new-c92bc097-2e23-41f8-aa05-855278aec68a'] = $pane;
    $display->panels['center'][1] = 'new-c92bc097-2e23-41f8-aa05-855278aec68a';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['food_pairing'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'grapes';
  $page->task = 'page';
  $page->admin_title = 'Grapes';
  $page->admin_description = '';
  $page->path = 'grapes/!firstletter';
  $page->access = array();
  $page->menu = array(
    'type' => 'normal',
    'title' => 'grapes',
    'name' => 'main-menu',
    'weight' => '0',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array(
    'firstletter' => array(
      'id' => 1,
      'identifier' => 'first_letter',
      'name' => 'string',
      'settings' => array(
        'use_tail' => 0,
      ),
    ),
  );
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_grapes_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'grapes';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'page-grapes',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-summary',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'summary',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'terms',
        ),
        'parent' => 'main',
        'class' => 'pane-grape-terms',
      ),
      'terms' => array(
        'type' => 'region',
        'title' => 'terms',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'terms' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '%firstletter:raw Grapes';
  $display->uuid = '5f9c7151-1b06-48e0-b58b-9c683437abb6';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-705337f8-09c2-49ae-a4ee-d95a0bf6c9a1';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_taxo_grapes_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '705337f8-09c2-49ae-a4ee-d95a0bf6c9a1';
    $display->content['new-705337f8-09c2-49ae-a4ee-d95a0bf6c9a1'] = $pane;
    $display->panels['center'][0] = 'new-705337f8-09c2-49ae-a4ee-d95a0bf6c9a1';
    $pane = new stdClass();
    $pane->pid = 'new-704792a9-88c4-42a7-9ac1-9bdfa3ff415d';
    $pane->panel = 'terms';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_grapes';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '704792a9-88c4-42a7-9ac1-9bdfa3ff415d';
    $display->content['new-704792a9-88c4-42a7-9ac1-9bdfa3ff415d'] = $pane;
    $display->panels['terms'][0] = 'new-704792a9-88c4-42a7-9ac1-9bdfa3ff415d';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['grapes'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'producers';
  $page->task = 'page';
  $page->admin_title = 'Producers';
  $page->admin_description = '';
  $page->path = 'producers';
  $page->access = array();
  $page->menu = array();
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_producers_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'producers';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = 'dcb7873d-18f3-4db1-9c0b-5a531ff83bc0';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-7f8f70b3-1fd8-46cb-aae7-77265ffc10d3';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_producers';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '7f8f70b3-1fd8-46cb-aae7-77265ffc10d3';
    $display->content['new-7f8f70b3-1fd8-46cb-aae7-77265ffc10d3'] = $pane;
    $display->panels['center'][0] = 'new-7f8f70b3-1fd8-46cb-aae7-77265ffc10d3';
    $pane = new stdClass();
    $pane->pid = 'new-34cef0df-03d6-4809-a572-73ee1e521a7e';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_producers_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'producer-summary',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '34cef0df-03d6-4809-a572-73ee1e521a7e';
    $display->content['new-34cef0df-03d6-4809-a572-73ee1e521a7e'] = $pane;
    $display->panels['center'][1] = 'new-34cef0df-03d6-4809-a572-73ee1e521a7e';
  $display->hide_title = PANELS_TITLE_PANE;
  $display->title_pane = 'new-7f8f70b3-1fd8-46cb-aae7-77265ffc10d3';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['producers'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'regions';
  $page->task = 'page';
  $page->admin_title = 'Regions';
  $page->admin_description = '';
  $page->path = 'regions';
  $page->access = array();
  $page->menu = array(
    'type' => 'normal',
    'title' => 'regions',
    'name' => 'main-menu',
    'weight' => '0',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_regions_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'regions';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => 'section-taxo-region',
    'css_id' => '',
    'css' => '',
    'contexts' => array(
      0 => array(
        'identifier' => 'string parent',
        'keyword' => 'strparent',
        'name' => 'string',
        'id' => 1,
      ),
    ),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = 'd3458002-0293-4170-9438-7dc89db952a4';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-021cdc4a-216a-4a91-8fb8-cc58a36a7bb7';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_map_1st_level_region';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-map',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '021cdc4a-216a-4a91-8fb8-cc58a36a7bb7';
    $display->content['new-021cdc4a-216a-4a91-8fb8-cc58a36a7bb7'] = $pane;
    $display->panels['center'][0] = 'new-021cdc4a-216a-4a91-8fb8-cc58a36a7bb7';
    $pane = new stdClass();
    $pane->pid = 'new-6a52bbb8-53aa-441e-874a-f04faab7838b';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_region_1st_level';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-informations',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '6a52bbb8-53aa-441e-874a-f04faab7838b';
    $display->content['new-6a52bbb8-53aa-441e-874a-f04faab7838b'] = $pane;
    $display->panels['center'][1] = 'new-6a52bbb8-53aa-441e-874a-f04faab7838b';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['regions'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'top_grape_varietals_worldwide';
  $page->task = 'page';
  $page->admin_title = 'Top grape varietals worldwide';
  $page->admin_description = '';
  $page->path = 'grape/top-worldwide';
  $page->access = array();
  $page->menu = array();
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_top_grape_varietals_worldwide_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'top_grape_varietals_worldwide';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 'main-row',
          1 => 1,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'top-grape-world-center',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'Center',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'left',
        ),
        'parent' => 'main',
        'class' => 'top-grape-world-right pane-grape-summary',
      ),
      'left' => array(
        'type' => 'region',
        'title' => 'left',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'left' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = 'Top grape varietals worldwide';
  $display->uuid = 'df31fb6b-c6e2-48cd-87fe-107379e5b1b3';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-43caad18-cf1a-41f6-87f5-4fd1817381ed';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'top_terms-cp_top_grapes_world';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'view-wines',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '43caad18-cf1a-41f6-87f5-4fd1817381ed';
    $display->content['new-43caad18-cf1a-41f6-87f5-4fd1817381ed'] = $pane;
    $display->panels['center'][0] = 'new-43caad18-cf1a-41f6-87f5-4fd1817381ed';
    $pane = new stdClass();
    $pane->pid = 'new-c30ed0df-4180-4426-b103-3c9f5a8278c5';
    $pane->panel = 'left';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_taxo_grapes_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-grape-summary',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'c30ed0df-4180-4426-b103-3c9f5a8278c5';
    $display->content['new-c30ed0df-4180-4426-b103-3c9f5a8278c5'] = $pane;
    $display->panels['left'][0] = 'new-c30ed0df-4180-4426-b103-3c9f5a8278c5';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-43caad18-cf1a-41f6-87f5-4fd1817381ed';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['top_grape_varietals_worldwide'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'vendors';
  $page->task = 'page';
  $page->admin_title = 'Vendors';
  $page->admin_description = '';
  $page->path = 'vendors';
  $page->access = array();
  $page->menu = array();
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_vendors_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'vendors';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = 'f5f14543-9808-4a0b-bbb2-2a23a352774c';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-1bd8a608-7b5e-4875-8b39-19b4b839d588';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_vendors_summary';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'vendor-summary',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '1bd8a608-7b5e-4875-8b39-19b4b839d588';
    $display->content['new-1bd8a608-7b5e-4875-8b39-19b4b839d588'] = $pane;
    $display->panels['center'][0] = 'new-1bd8a608-7b5e-4875-8b39-19b4b839d588';
    $pane = new stdClass();
    $pane->pid = 'new-b65157d7-b638-4f64-b5a8-e47cc016c490';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'vocabulary-cp_vendors';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'b65157d7-b638-4f64-b5a8-e47cc016c490';
    $display->content['new-b65157d7-b638-4f64-b5a8-e47cc016c490'] = $pane;
    $display->panels['center'][1] = 'new-b65157d7-b638-4f64-b5a8-e47cc016c490';
  $display->hide_title = PANELS_TITLE_PANE;
  $display->title_pane = 'new-b65157d7-b638-4f64-b5a8-e47cc016c490';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['vendors'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'wines';
  $page->task = 'page';
  $page->admin_title = 'wines';
  $page->admin_description = '';
  $page->path = 'wines';
  $page->access = array();
  $page->menu = array(
    'type' => 'normal',
    'title' => 'Wines',
    'name' => 'main-menu',
    'weight' => '0',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_wines_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'wines';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(
      0 => array(
        'identifier' => 'logged in user',
        'keyword' => 'user',
        'name' => 'user',
        'type' => 'current',
        'uid' => '',
        'id' => 1,
      ),
    ),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'onecol';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
          1 => 'right',
        ),
        'parent' => 'main',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'Center',
        'width' => '70',
        'width_type' => '%',
        'parent' => 'main-row',
      ),
      'right' => array(
        'type' => 'region',
        'title' => 'right',
        'width' => '30.000000000000004',
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center_',
        ),
        'parent' => 'main',
        'class' => '',
      ),
      'center_' => array(
        'type' => 'region',
        'title' => 'center',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'right' => NULL,
      'center_' => NULL,
      'middle' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '8fc11f1c-fbe3-4e37-8fc8-b64c010ac4d6';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-b6c93bc4-f983-4ea8-968a-d2a3fe9a0a91';
    $pane->panel = 'middle';
    $pane->type = 'block';
    $pane->subtype = 'views-9526b16ba72cf6b79fa90f7fe2b14b4a';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'inherit_path' => 1,
      'override_title' => 1,
      'override_title_text' => 'Filters',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'wine-filters',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'b6c93bc4-f983-4ea8-968a-d2a3fe9a0a91';
    $display->content['new-b6c93bc4-f983-4ea8-968a-d2a3fe9a0a91'] = $pane;
    $display->panels['middle'][0] = 'new-b6c93bc4-f983-4ea8-968a-d2a3fe9a0a91';
    $pane = new stdClass();
    $pane->pid = 'new-4bd9dcf3-9060-4bd5-8e91-6de2acd81a67';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_all_wines_map_filtered';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'arguments' => array(
        'count' => '1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '4bd9dcf3-9060-4bd5-8e91-6de2acd81a67';
    $display->content['new-4bd9dcf3-9060-4bd5-8e91-6de2acd81a67'] = $pane;
    $display->panels['middle'][1] = 'new-4bd9dcf3-9060-4bd5-8e91-6de2acd81a67';
    $pane = new stdClass();
    $pane->pid = 'new-c331a3a1-6282-472b-96d8-2700ea3b898f';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_official_wines_list';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'arguments' => array(
        'count' => '1',
      ),
      'more_link' => 1,
      'use_pager' => 1,
      'pager_id' => '0',
      'items_per_page' => '30',
      'context' => array(
        0 => 'empty',
      ),
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'c331a3a1-6282-472b-96d8-2700ea3b898f';
    $display->content['new-c331a3a1-6282-472b-96d8-2700ea3b898f'] = $pane;
    $display->panels['middle'][2] = 'new-c331a3a1-6282-472b-96d8-2700ea3b898f';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['wines'] = $page;

  return $pages;

}
