<?php
/**
 * @file
 * opentastings_wine.panels_default.inc
 */

/**
 * Implements hook_default_panels_mini().
 */
function opentastings_wine_default_panels_mini() {
  $export = array();

  $mini = new stdClass();
  $mini->disabled = FALSE; /* Edit this to true to make a default mini disabled initially */
  $mini->api_version = 1;
  $mini->name = 'top_wines';
  $mini->category = 'wines';
  $mini->admin_title = 'Top wines';
  $mini->admin_description = '';
  $mini->requiredcontexts = array();
  $mini->contexts = array();
  $mini->relationships = array();
  $display = new panels_display();
  $display->layout = 'onecol';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'middle' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = 'Top Wines';
  $display->uuid = 'ce9cd74b-e380-4067-a1c3-ab55df04face';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-ca807c37-a11d-4e33-989a-189d362a934a';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_highest_rated';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'ca807c37-a11d-4e33-989a-189d362a934a';
    $display->content['new-ca807c37-a11d-4e33-989a-189d362a934a'] = $pane;
    $display->panels['middle'][0] = 'new-ca807c37-a11d-4e33-989a-189d362a934a';
    $pane = new stdClass();
    $pane->pid = 'new-656a2bf0-2823-494f-aa51-6deb35196679';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_most_favorites';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '656a2bf0-2823-494f-aa51-6deb35196679';
    $display->content['new-656a2bf0-2823-494f-aa51-6deb35196679'] = $pane;
    $display->panels['middle'][1] = 'new-656a2bf0-2823-494f-aa51-6deb35196679';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-ca807c37-a11d-4e33-989a-189d362a934a';
  $mini->display = $display;
  $export['top_wines'] = $mini;

  return $export;
}
